Skip to content

Get a volume

GET/volumes/{name}
path parameters
object
namestringrequired

Volume name ([a-z0-9][a-z0-9-]*).

Responses
200 OKOK
Volume
attached_tostring
created_atstringdate-time
encryptedboolean
host_idstring
key_idstring
namestring
size_bytesintegerint64
404 Not foundNot Found
ErrorResponse
codestring
errorstring
501 Not Implemented
ErrorResponse
codestring
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
GET/volumes/{name}
cURL
curl '/volumes/{name}'
GET/volumes/{name}
Request
Path
Authorization
curl '/volumes/{name}'
Response
Send a request to see the response.
Response
200 OK
{
  "attached_to": "string",
  "created_at": "2026-01-02T15:04:05Z",
  "encrypted": false,
  "host_id": "string",
  "key_id": "string",
  "name": "string",
  "size_bytes": 0
}
Was this page helpful?